%define module_name SimpleFlake
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bytes/Random/Secure.pm) perl(Math/BigInt.pm) perl(Math/BigInt/GMP.pm) perl(Math/Random/ISAAC.pm) perl(Module/Build/Tiny.pm) perl(Test/More.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt1
Summary: A perl implemantation of SimpleFlake. Inspired by https://github.com/SawdustSoftware/simpleflake
Group: Development/Perl
License: artistic_2
URL: https://github.com/itnode/SimpleFlake

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JE/JEGADE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
SimpleFlake is a unique ID Generation Module based on timestamp in milliseconds and a part of randomness


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_privlib/S*

%changelog
* Sun Nov 05 2017 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- regenerated from template by package builder

* Wed Oct 28 2015 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Mon Oct 12 2015 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

